Show / Hide Table of Contents

# Struct ImFontAtlasCustomRectPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontAtlasCustomRectPtr

### Constructors

| Improve this Doc View Source

#### ImFontAtlasCustomRectPtr(ImFontAtlasCustomRect*)

##### Declaration

    public ImFontAtlasCustomRectPtr(ImFontAtlasCustomRect*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRect* | nativePtr |

| Improve this Doc View Source

#### ImFontAtlasCustomRectPtr(IntPtr)

##### Declaration

    public ImFontAtlasCustomRectPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Font

##### Declaration

    public ImFontPtr Font { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### GlyphAdvanceX

##### Declaration

    public float GlyphAdvanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GlyphOffset

##### Declaration

    public Vector2 GlyphOffset { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Height

##### Declaration

    public ushort Height { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ID

##### Declaration

    public uint ID { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImFontAtlasCustomRect*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasCustomRect* |

| Improve this Doc View Source

#### Width

##### Declaration

    public ushort Width { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### X

##### Declaration

    public ushort X { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public ushort Y { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### IsPacked()

##### Declaration

    public bool IsPacked()

##### Returns

Type | Description
--- | ---
System.Boolean |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontAtlasCustomRect* to ImFontAtlasCustomRectPtr)

##### Declaration

    public static implicit operator ImFontAtlasCustomRectPtr(ImFontAtlasCustomRect*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRect* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRectPtr |

| Improve this Doc View Source

#### Implicit(ImFontAtlasCustomRectPtr to ImFontAtlasCustomRect*)

##### Declaration

    public static implicit operator ImFontAtlasCustomRect*(ImFontAtlasCustomRectPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasCustomRectPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRect* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontAtlasCustomRectPtr)

##### Declaration

    public static implicit operator ImFontAtlasCustomRectPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontAtlasCustomRectPtr |